## Line from 2 Points

Toolbar / Icon:
Menu: Draw > Line > Line from 2 Points
Shortcut: L, I
Commands: line | ln | li | l

### Description

This tool lets you draw a sequence of one or more straight lines.

### Usage

1. Choose the desired line type in the options toolbar.
2. Specify the start point of the first line segment. You can use the mouse or enter a coordinate in the console.
3. Specify the endpoint of the first line segment.
4. Specify the endpoints of additional line segments. Click the "Close" button in the options tool bar to close the sequence:
   If you need to undo a single line segment, you can do so by clicking the "Undo" button:
5. If you want to restrict the angle or length of line segments, you can do so by clicking the "Restrict Angle or Length" button, and entering a length and / or angle.